Name:       wapiti
Version:    3.0.2
Release:    %mkrel 2
Summary:    A web application vulnerability scanner
Group:      Security
License:    GPLv2
Url:        http://wapiti.sourceforge.net/
Source:     http://sourceforge.net/projects/wapiti/files/wapiti/wapiti-%{version}/wapiti3-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(pytest-runner)

%description
Wapiti allows you to audit the security of your web applications.
It performs "black-box" scans, i.e. it does not study the source code of the
application but will scans the webpages of the deployed webapp, looking for
scripts and forms where it can inject data.
Once it gets this list, Wapiti acts like a fuzzer, injecting payloads to see
if a script is vulnerable.

%prep
%setup -qn wapiti3-%{version}

%build
%py3_build

%install
%py3_install -- --single-version-externally-managed

%files
%{_docdir}/%{name}
%{_bindir}/wapiti
%{_bindir}/wapiti-getcookie
%{_mandir}/man1/wapiti.1*
%{_mandir}/man1/wapiti-getcookie.1*
%{python3_sitelib}/wapiti3-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/wapitiCore/


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 3.0.2-2.mga8
+ Revision: 1540921
- Mageia 8 Mass Rebuild

* Tue Dec 17 2019 wally <wally> 3.0.2-1.mga8
+ Revision: 1468643
- new version 3.0.2
- switch to python3

* Wed Sep 19 2018 umeabot <umeabot> 2.3.0-7.mga7
+ Revision: 1277071
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.3.0-6.mga6
+ Revision: 944963
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3.0-5.mga5
+ Revision: 746216
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.3.0-4.mga5
+ Revision: 730727
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.3.0-3.mga5
+ Revision: 690267
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Nov 12 2013 guillomovitch <guillomovitch> 2.3.0-1.mga4
+ Revision: 550740
- imported package wapiti

